'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _CSSTransition = require('react-transition-group/CSSTransition');

var _CSSTransition2 = _interopRequireDefault(_CSSTransition);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RTGDropdown = function RTGDropdown(_ref) {
  var style = _ref.style,
      inProp = _ref.in,
      className = _ref.className,
      children = _ref.children,
      duration = _ref.transitionOptions.duration;
  return _react2.default.createElement(
    _CSSTransition2.default,
    { 'in': inProp, timeout: duration, classNames: 'rtgdropdown', unmountOnExit: true },
    function (state) {
      return _react2.default.createElement(
        'div',
        { style: style, className: 'jsx-4032770679' + ' ' + (className || '')
        },
        _react2.default.createElement(_style2.default, {
          styleId: '4032770679',
          css: '.rtgdropdown-enter.jsx-4032770679{opacity:0.01;cursor:pointer;z-index:-1;-webkit-transform:scale(1,0.9) translateY(-100%);-ms-transform:scale(1,0.9) translateY(-100%);transform:scale(1,0.9) translateY(-100%);}.rtgdropdown-enter-active.jsx-4032770679{opacity:1;-webkit-transform:scale(1) translateY(0%);-ms-transform:scale(1) translateY(0%);transform:scale(1) translateY(0%);-webkit-transition:all 300ms ease-out;transition:all 300ms ease-out;}.rtgdropdown-exit.jsx-4032770679{opacity:1;-webkit-transform:scale(1) translateY(0%);-ms-transform:scale(1) translateY(0%);transform:scale(1) translateY(0%);}.rtgdropdown-exit-active.jsx-4032770679{opacity:0.01;cursor:pointer;z-index:-1;-webkit-transform:scale(1,0.9) translateY(-100%);-ms-transform:scale(1,0.9) translateY(-100%);transform:scale(1,0.9) translateY(-100%);-webkit-transition:all 300ms ease-out;transition:all 300ms ease-out;}'
        }),
        children
      );
    }
  );
};
RTGDropdown.defaultProps = {
  handleClick: function handleClick() {
    return console.log('RTGDropdown: handleClick');
  },
  transitionOptions: {
    duration: 300
  }
};

exports.default = RTGDropdown;